Does it work in good Leopard 10.5.7

Back To Product

Follow this Question

3 Answers from the Community

  • Answer

    The specs say that it requires 10.5.8 (minor update) + a mouse update. So technically, no, it doesn't work with 10.5.7, but all you need is a free download to make it work.

    Was this useful? Answer 1

    2 of 2 people found this useful

  • This works with Leopard, but you'll probably want to do a software update to make sure you have the most recent version.

    Was this useful? Answer 2

    2 of 2 people found this useful

  • You will need to update to 10.5.8 to be able to use the mouse.

    Was this useful? Answer 3

    2 of 2 people found this useful

Related Questions